<mat-tree [dataSource]="dataSource" [treeControl]="treeControl">
  <mat-tree-node *matTreeNodeDef="let node"
                 matTreeNodeToggle
                 matTreeNodePadding>
    <button mat-icon-button disabled></button>
    <mat-checkbox class="checklist-leaf-node"
                  [ngClass]="{'drop-above': dragNodeExpandOverArea === 'above' && dragNodeExpandOverNode === node,
                              'drop-below': dragNodeExpandOverArea === 'below' && dragNodeExpandOverNode === node,
                              'drop-center': dragNodeExpandOverArea === 'center' && dragNodeExpandOverNode === node}"
                  [checked]="checklistSelection.isSelected(node)"
                  (change)="checklistSelection.toggle(node);"
                  draggable="true"
                  (dragstart)="handleDragStart($event, node);"
                  (dragover)="handleDragOver($event, node);"
                  (drop)="handleDrop($event, node);"
                  (dragend)="handleDragEnd($event);">{{node.label}}</mat-checkbox>
  </mat-tree-node>



  <mat-tree-node *matTreeNodeDef="let node; when: hasChild"
                 matTreeNodePadding>
    <button mat-icon-button matTreeNodeToggle
            [attr.aria-label]="'toggle ' + node.filename">
      <mat-icon class="mat-icon-rtl-mirror">
        {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
      </mat-icon>
    </button>
    <mat-checkbox [ngClass]="{'drop-above': dragNodeExpandOverArea === 'above' && dragNodeExpandOverNode === node,
                              'drop-below': dragNodeExpandOverArea === 'below' && dragNodeExpandOverNode === node,
                              'drop-center': dragNodeExpandOverArea === 'center' && dragNodeExpandOverNode === node}"
                  draggable="true"
                  (dragstart)="handleDragStart($event, node);"
                  (dragover)="handleDragOver($event, node);"
                  (drop)="handleDrop($event, node);"
                  (dragend)="handleDragEnd($event);"
                  [checked]="descendantsAllSelected(node)"
                  [indeterminate]="descendantsPartiallySelected(node)"
                  (change)="todoItemSelectionToggle(node)"><span *ngIf="node.level==1 && node.label==''">Default Group</span>
                  <span *ngIf="node.level==1 && node.label!='' ">{{node.label}}</span>
                  <span *ngIf="node.level!=1 ">{{node.label}}</span></mat-checkbox>
 
  </mat-tree-node>
</mat-tree>

<span #emptyItem></span>
